--- old/usr/src/Makefile.lint	2013-05-27 09:44:59.969360734 +0000
+++ new/usr/src/Makefile.lint	2013-05-27 09:44:59.982907576 +0000
@@ -44,7 +44,6 @@
 	cmd/autopush \
 	cmd/availdevs \
 	cmd/avs \
-	cmd/awk \
 	cmd/banner \
 	cmd/bart \
 	cmd/basename \
--- old/usr/src/Makefile.master	2013-05-27 09:45:00.395735723 +0000
+++ new/usr/src/Makefile.master	2013-05-27 09:45:00.406063148 +0000
@@ -164,7 +164,7 @@
 ELFWRAP=	/usr/bin/elfwrap
 KSH93=		/usr/bin/ksh93
 SED=		/usr/bin/sed
-NAWK=		/usr/bin/nawk
+AWK=		/usr/xpg4/bin/awk
 CP=		/usr/bin/cp -f
 MCS=		/usr/ccs/bin/mcs
 CAT=            /usr/bin/cat
--- old/usr/src/Makefile.msg.targ	2013-05-27 09:45:00.856494414 +0000
+++ new/usr/src/Makefile.msg.targ	2013-05-27 09:45:00.865241234 +0000
@@ -53,7 +53,7 @@
 
 BUILDPO.pofiles = \
 	$(RM) $(POFILE); \
-	$(NAWK) '\
+	$(AWK) '\
 	    FNR == 1		{ print "\# Messages from " FILENAME; } \
 	    /^domain/		{ next; } \
 	    /^msgid/, /^msgstr/	{ msg = msg "\n" $$0; \
--- old/usr/src/cmd/Makefile	2013-05-27 09:45:01.242072118 +0000
+++ new/usr/src/cmd/Makefile	2013-05-27 09:45:01.251866736 +0000
@@ -65,7 +65,6 @@
 	auths		\
 	autopush	\
 	avs		\
-	awk		\
 	awk_xpg4	\
 	backup		\
 	banner		\
@@ -530,7 +529,6 @@
 	auths		\
 	autopush	\
 	avs		\
-	awk		\
 	awk_xpg4	\
 	backup		\
 	banner		\
--- old/usr/src/cmd/acct/lastlogin.sh	2013-05-27 09:45:01.662379163 +0000
+++ new/usr/src/cmd/acct/lastlogin.sh	2013-05-27 09:45:01.675058109 +0000
@@ -24,7 +24,6 @@
 #	  All Rights Reserved
 
 
-#ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.6	*/
 #	"lastlogin - keep record of date each person last logged in"
 #	"bug - the date shown is usually 1 more than it should be "
 #	"       because lastlogin is run at 4am and checks the last"
@@ -57,7 +56,7 @@
 #	"1st occurrence of each login name and resorts by date"
 acctmerg -a < nite/ctacct.$_day | \
 sed -e "s/^[^ 	]*[ 	]\([^ 	]*\)[ 	].*/$_d  \1/" | \
-nawk	'/^00-00-00/ {
+/usr/xpg4/bin/awk	'/^00-00-00/ {
                 $0 = "00" $0
         }
 	/^[0-9][0-9]-/ {
@@ -70,7 +69,7 @@
         }
         { print }' - sum/loginlog | \
 sort -r +1 | uniq +10 | sort | \
-nawk	'/^[0-9][0-9][0-9][0-9]-/ {
+/usr/xpg4/bin/awk	'/^[0-9][0-9][0-9][0-9]-/ {
 	$0 = substr($0,3)
     }
     { print }' > sum/tmploginlog
--- old/usr/src/cmd/allocate/disk_clean.sh	2013-05-27 09:45:02.040127620 +0000
+++ new/usr/src/cmd/allocate/disk_clean.sh	2013-05-27 09:45:02.049681168 +0000
@@ -223,7 +223,7 @@
 #
 
 findmounts() {
-	nawk -f - -v vold_root="$VOLD_ROOT" -v devs="$*" /etc/mnttab <<\
+	/usr/xpg4/bin/awk -f - -v vold_root="$VOLD_ROOT" -v devs="$*" /etc/mnttab <<\
 	    "ENDOFAWKPGM"
 	BEGIN {
 		split(devs, devlist, " ");
--- old/usr/src/cmd/boot/scripts/create_diskmap.ksh	2013-05-27 09:45:04.181930530 +0000
+++ new/usr/src/cmd/boot/scripts/create_diskmap.ksh	2013-05-27 09:45:04.195764228 +0000
@@ -24,8 +24,6 @@
 # Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #
 # basic setup
 #
@@ -35,7 +33,7 @@
 /bin/touch "$GRUBDISKMAP"
 /sbin/biosdev 2> /dev/null | while read diskno diskpath
     do
-	devname=`/bin/ls -l /dev/rdsk/*p0 | /bin/grep $diskpath | /bin/nawk '{ print $9 }'`
+	devname=`/bin/ls -l /dev/rdsk/*p0 | /bin/grep $diskpath | /usr/xpg4/bin/awk '{ print $9 }'`
 	ctdname=`echo $devname | /bin/sed "s#/dev/rdsk/##" | /bin/sed "s#p0##"`
 	grubdisk=`echo $diskno | /bin/sed "s/0x8//"`
 	echo "$grubdisk $ctdname $diskpath" >> "$GRUBDISKMAP"
--- old/usr/src/cmd/boot/scripts/create_ramdisk.ksh	2013-05-27 09:45:04.513643466 +0000
+++ new/usr/src/cmd/boot/scripts/create_ramdisk.ksh	2013-05-27 09:45:04.527109260 +0000
@@ -159,7 +159,7 @@
 	# Estimate image size and add 10% overhead for ufs stuff.
 	# Note, we can't use du here in case we're on a filesystem, e.g. zfs,
 	# in which the disk usage is less than the sum of the file sizes.
-	# The nawk code 
+	# The awk code 
 	#
 	#	{t += ($5 % 1024) ? (int($5 / 1024) + 1) * 1024 : $5}
 	#
@@ -168,17 +168,17 @@
 	# with directories.  This results in a total size that's slightly
 	# bigger than if du was called on a ufs directory.
 	size32=$(cat "$list32" | xargs -I {} ls -lLd "{}" 2> /dev/null |
-		nawk '{t += ($5 % 1024) ? (int($5 / 1024) + 1) * 1024 : $5}
+		/usr/xpg4/bin/awk '{t += ($5 % 1024) ? (int($5 / 1024) + 1) * 1024 : $5}
 		END {print int(t * 1.10 / 1024)}')
 	(( size32 += dirsize32 ))
 	size64=$(cat "$list64" | xargs -I {} ls -lLd "{}" 2> /dev/null |
-		nawk '{t += ($5 % 1024) ? (int($5 / 1024) + 1) * 1024 : $5}
+		/usr/xpg4/bin/awk '{t += ($5 % 1024) ? (int($5 / 1024) + 1) * 1024 : $5}
 		END {print int(t * 1.10 / 1024)}')
 	(( size64 += dirsize64 ))
 	(( total_size = size32 + size64 ))
 
 	if [ $compress = yes ] ; then
-		total_size=`echo $total_size | nawk '{print int($1 / 2)}'`
+		total_size=`echo $total_size | /usr/xpg4/bin/awk '{print int($1 / 2)}'`
 	fi
 }
 
@@ -395,7 +395,7 @@
 
 	# sanity check the archive before moving it into place
 	#
-	ARCHIVE_SIZE=`ls -l "${archive}-new" 2> /dev/null | nawk '{ print $5 }'`
+	ARCHIVE_SIZE=`ls -l "${archive}-new" 2> /dev/null | /usr/xpg4/bin/awk '{ print $5 }'`
 	if [ $compress = yes ] || [ $ISA = sparc ] ; then
 		#
 		# 'file' will report "English text" for uncompressed
@@ -477,7 +477,7 @@
 		print "$path"
 	elif [ -d "$path" ]; then
 		if [ $format = ufs ]; then
-			size=`ls -lLd "$path" | nawk '
+			size=`ls -lLd "$path" | /usr/xpg4/bin/awk '
 			    {print ($5 % 1024) ? (int($5 / 1024) + 1) * 1024 : $5}'`
 			if [ `basename "$path"` != "amd64" ]; then
 				(( dirsize32 += size ))
--- old/usr/src/cmd/boot/scripts/root_archive.ksh	2013-05-27 09:45:04.863597048 +0000
+++ new/usr/src/cmd/boot/scripts/root_archive.ksh	2013-05-27 09:45:04.872239122 +0000
@@ -206,7 +206,7 @@
 	# Estimate image size and add %10 overhead for ufs stuff.
 	# Note, we can't use du here in case $UNPACKED_ROOT is on a filesystem,
 	# e.g. zfs, in which the disk usage is less than the sum of the file
-	# sizes.  The nawk code
+	# sizes.  The awk code
 	#
 	#	{t += ($7 % 1024) ? (int($7 / 1024) + 1) * 1024 : $7}
 	#
@@ -218,11 +218,11 @@
 	# if the operation in turn is compressing the files the amount
 	# of typical shrinkage is used to come up with a useful archive
 	# size
-	size=$(find "$UNPACKED_ROOT" -ls | nawk '
+	size=$(find "$UNPACKED_ROOT" -ls | /usr/xpg4/bin/awk '
 	    {t += ($7 % 1024) ? (int($7 / 1024) + 1) * 1024 : $7}
 	    END {print int(t * 1.10 / 1024)}')
 	if [ "$COMPRESS" = true ] ; then
-		size=`echo $size | nawk '{s = $1} END {print int(s * 0.6)}'`
+		size=`echo $size | /usr/xpg4/bin/awk '{s = $1} END {print int(s * 0.6)}'`
 	fi
 
 	/usr/sbin/mkfile ${size}k "$TMR"
--- old/usr/src/cmd/boot/scripts/update_grub.ksh	2013-05-27 09:45:05.195283472 +0000
+++ new/usr/src/cmd/boot/scripts/update_grub.ksh	2013-05-27 09:45:05.209938516 +0000
@@ -46,7 +46,7 @@
 check_pcfs_boot()
 {
 	bootdev=`grep -v "^#" "$ALT_ROOT"/etc/vfstab | grep pcfs \
-	    | grep "[       ]/stubboot[      ]" | nawk '{print $1}'`
+	    | grep "[       ]/stubboot[      ]" | /usr/xpg4/bin/awk '{print $1}'`
 	if [ X"$bootdev" = "X" ]; then
 		is_pcfs_boot=no
 	fi
@@ -91,13 +91,13 @@
 		    sed -n -e '/--/q' -e p | awk '{print $1}'`
 	else
 		metadev=`grep -v "^#" "$ALT_ROOT"/etc/vfstab | \
-		    grep "[	 ]/[ 	]" | nawk '{print $2}'`
+		    grep "[	 ]/[ 	]" | /usr/xpg4/bin/awk '{print $2}'`
 		if [[ $metadev = /dev/rdsk/* ]]; then
 			rootdevlist=`basename "$metadev"`
 		elif [[ $metadev = /dev/md/rdsk/* ]]; then
 			metavol=`basename "$metadev"`
 			rootdevlist=`metastat -p $metavol |\
-			    grep -v "^$metavol[	 ]" | nawk '{print $4}'`
+			    grep -v "^$metavol[	 ]" | /usr/xpg4/bin/awk '{print $4}'`
 		fi
 	fi
 	for rootdev in $rootdevlist
@@ -122,7 +122,7 @@
 		mkdir -p "$ALT_ROOT"/stubboot/boot/grub
 		cp "$ALT_ROOT"/boot/grub/menu.lst "$ALT_ROOT"/stubboot/boot/grub
 		bootdev=`grep -v "^#" "$ALT_ROOT"/etc/vfstab | grep pcfs | \
-			grep "[	 ]/stubboot[ 	]" | nawk '{print $1}'`
+			grep "[	 ]/stubboot[ 	]" | /usr/xpg4/bin/awk '{print $1}'`
 		rpcfsdev=`echo "$bootdev" | sed -e "s/dev\/dsk/dev\/rdsk/"`
 		if [ X"$rpcfsdev" != X ]; then
 			print "Installing grub on $rpcfsdev"
--- old/usr/src/cmd/cmd-inet/etc/init.d/pppd	2013-05-27 09:45:05.528372823 +0000
+++ new/usr/src/cmd/cmd-inet/etc/init.d/pppd	2013-05-27 09:45:05.543197080 +0000
@@ -63,7 +63,7 @@
 
 	# Use ifconfig to make the interfaces down just in case
 	if [ -f $PPPDIR/ifconfig ]; then
-        	nawk '/ifconfig[	]*sppp/ { \
+        	/usr/xpg4/bin/awk '/ifconfig[	]*sppp/ { \
 			system("ifconfig " $2 " down"); \
 			system("ifconfig " $2 " unplumb"); \
 			next; \
--- old/usr/src/cmd/cmd-inet/usr.sbin/routeadm/svc-legacy-routing	2013-05-27 09:45:05.870645642 +0000
+++ new/usr/src/cmd/cmd-inet/usr.sbin/routeadm/svc-legacy-routing	2013-05-27 09:45:05.885627184 +0000
@@ -23,7 +23,6 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
 
 # This script is the shared method script for the legacy ipv4/ipv6
 # routing services.
@@ -31,14 +30,14 @@
 . /lib/svc/share/smf_include.sh
 
 daemon_prog=`/usr/sbin/svccfg -s $SMF_FMRI listprop routeadm/daemon | \
-	/usr/bin/nawk '{ for (i = 3; i <= NF; i++) printf $i" " }' | \
-	/usr/bin/nawk '{ sub(/^\"/,""); sub(/\"[ \t]*$/,""); print }'`
+	/usr/xpg4/bin/awk '{ for (i = 3; i <= NF; i++) printf $i" " }' | \
+	/usr/xpg4/bin/awk '{ sub(/^\"/,""); sub(/\"[ \t]*$/,""); print }'`
 daemon_args=`/usr/sbin/svccfg -s $SMF_FMRI listprop routeadm/daemon-args | \
-	/usr/bin/nawk '{ for (i = 3; i <= NF; i++) printf $i" " }' | \
-	/usr/bin/nawk '{ sub(/^\"/,""); sub(/\"[ \t]*$/,""); print }'`
+	/usr/xpg4/bin/awk '{ for (i = 3; i <= NF; i++) printf $i" " }' | \
+	/usr/xpg4/bin/awk '{ sub(/^\"/,""); sub(/\"[ \t]*$/,""); print }'`
 daemon_stop=`/usr/sbin/svccfg -s $SMF_FMRI listprop routeadm/daemon-stop-cmd | \
-	/usr/bin/nawk '{ for (i = 3; i <= NF; i++) printf $i" " }' | \
-	/usr/bin/nawk '{ sub(/^\"/,""); sub(/\"[ \t]*$/,""); print }'`
+	/usr/xpg4/bin/awk '{ for (i = 3; i <= NF; i++) printf $i" " }' | \
+	/usr/xpg4/bin/awk '{ sub(/^\"/,""); sub(/\"[ \t]*$/,""); print }'`
 
 method="$1"
 proto="$2"
--- old/usr/src/cmd/dtrace/test/cmd/scripts/dtfailures.ksh	2013-05-27 09:45:06.237633195 +0000
+++ new/usr/src/cmd/dtrace/test/cmd/scripts/dtfailures.ksh	2013-05-27 09:45:06.257518807 +0000
@@ -30,7 +30,7 @@
 
 while [[ -d failure.$failure ]]; do
 	dir=failure.$failure
-	tst=`cat $dir/README | head -1 | nawk '{ print $2 }'`
+	tst=`cat $dir/README | head -1 | /usr/xpg4/bin/awk '{ print $2 }'`
 	kind=`basename $(dirname $tst)`
 	name=`basename $tst`
 	cols=$(expr `tput cols` - 47)
--- old/usr/src/cmd/dtrace/test/tst/common/funcs/tst.badfreopen.ksh	2013-05-27 09:45:06.656604573 +0000
+++ new/usr/src/cmd/dtrace/test/tst/common/funcs/tst.badfreopen.ksh	2013-05-27 09:45:06.666760929 +0000
@@ -23,7 +23,6 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
 
 script()
 {
@@ -87,7 +86,7 @@
 		status=100
 	fi
 	
-	i=`wc -l $errfile | nawk '{ print $1 }'`
+	i=`wc -l $errfile | /usr/xpg4/bin/awk '{ print $1 }'`
 
 	if [ "$i" -lt 6 ]; then
 		echo "$0: expected at least 6 lines of stderr, found $i lines"
--- old/usr/src/cmd/dtrace/test/tst/i86xpv/xdt/tst.schedargs.ksh	2013-05-27 09:45:06.988961473 +0000
+++ new/usr/src/cmd/dtrace/test/tst/i86xpv/xdt/tst.schedargs.ksh	2013-05-27 09:45:07.001658528 +0000
@@ -61,7 +61,7 @@
 
 validate()
 {
-	/usr/bin/nawk '
+	/usr/xpg4/bin/awk '
 	BEGIN {
 		while (("/usr/sbin/xm vcpu-list" | getline)) {
 			if ($1 != "Name") {
--- old/usr/src/cmd/fs.d/nfs/nfsfind/nfsfind.sh	2013-05-27 09:45:07.299083784 +0000
+++ new/usr/src/cmd/fs.d/nfs/nfsfind/nfsfind.sh	2013-05-27 09:45:07.310900404 +0000
@@ -37,7 +37,7 @@
 
 # Get all NFS filesystems exported with read-write permission.
 
-DIRS=`/usr/bin/nawk '($3 != "nfs") { next }
+DIRS=`/usr/xpg4/bin/awk '($3 != "nfs") { next }
 	($4 ~ /^rw$|^rw,|^rw=|,rw,|,rw=|,rw$/) { print $1; next }
 	($4 !~ /^ro$|^ro,|^ro=|,ro,|,ro=|,ro$/) { print $1 }' /etc/dfs/sharetab`
 
--- old/usr/src/cmd/getmajor/getmajor.sh	2013-05-27 09:45:07.656940809 +0000
+++ new/usr/src/cmd/getmajor/getmajor.sh	2013-05-27 09:45:07.672361656 +0000
@@ -23,7 +23,6 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
 
 if [ $# -ne 1 ]
 then
@@ -31,7 +30,7 @@
 	exit 2
 fi
 
-exec nawk -v a="$1" -v del='#' '$1 !~ /^#|^$/ && $1 == a { \
+exec /usr/xpg4/bin/awk -v a="$1" -v del='#' '$1 !~ /^#|^$/ && $1 == a { \
     num = split($2, maj, del); \
     if (num > 1) { print maj[1] } else { print $2 } \
     found = 1; exit 0 } \
--- old/usr/src/cmd/ldap/ns_ldap/idsconfig.sh	2013-05-27 09:45:07.987447536 +0000
+++ new/usr/src/cmd/ldap/ns_ldap/idsconfig.sh	2013-05-27 09:45:07.997086304 +0000
@@ -974,7 +974,7 @@
     DEBUG=0             # Set Debug OFF
     BACKUP=no_ldap	# backup suffix
     HOST=""		# NULL or <hostname>
-    NAWK="/usr/bin/nawk"
+    AWK="/usr/xpg4/bin/awk"
     RM="/usr/bin/rm"
     WC="/usr/bin/wc"
     CAT="/usr/bin/cat"
@@ -1424,10 +1424,10 @@
 get_krb_realm() {
 
     # To upper cases
-    LDAP_KRB_REALM=`${ECHO} ${LDAP_DOMAIN} | ${NAWK} '{ print toupper($0) }'`
+    LDAP_KRB_REALM=`${ECHO} ${LDAP_DOMAIN} | ${AWK} '{ print toupper($0) }'`
     get_ans_req "Enter Kerberos Realm:" "$LDAP_KRB_REALM"
     # To upper cases
-    LDAP_KRB_REALM=`${ECHO} ${ANS} | ${NAWK} '{ print toupper($0) }'`
+    LDAP_KRB_REALM=`${ECHO} ${ANS} | ${AWK} '{ print toupper($0) }'`
 }
 
 # $1: DN
@@ -5063,7 +5063,7 @@
     # but We do not know the value of the ${LDAP_PROXYAGENT} here, so
     # 1. if only one match found, delete it
     # 2. if more than one matches found, ask the user which one to delete
-    HOWMANY=`${WC} -l ${TMPDIR}/grep_proxyread_aci | ${NAWK} '{print $1}'`
+    HOWMANY=`${WC} -l ${TMPDIR}/grep_proxyread_aci | ${AWK} '{print $1}'`
     if [ $HOWMANY -eq 0 ]; then
 	${ECHO} "Proxy ACI ${PROXY_ACI_NAME} does not exist for ${LDAP_BASEDN}."
 	return 0
@@ -5087,7 +5087,7 @@
 	    	${TMPDIR}/proxy_agent_list
 
 	    # print the proxy agent list
-	    ${NAWK} '{print NR ": " $0}' ${TMPDIR}/proxy_agent_list
+	    ${AWK} '{print NR ": " $0}' ${TMPDIR}/proxy_agent_list
 
 	    # ask the user to pick one
 	    _MENU_PROMPT="Select the proxy agent (1-$HOWMANY): "
--- old/usr/src/cmd/lvm/rpc.metamhd/i386/Makefile	2013-05-27 09:45:10.973802466 +0000
+++ new/usr/src/cmd/lvm/rpc.metamhd/i386/Makefile	2013-05-27 09:45:10.984149983 +0000
@@ -23,8 +23,6 @@
 # Copyright 1996, 2001-2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 # Makefile for logical volume management 
 #
 
@@ -125,4 +123,4 @@
 
 mhdx_xdr.c: $(SRC)/uts/common/sys/lvm/mhdx.x
 	$(RPCGEN) $(RPCGENFLAGS) -c $(SRC)/uts/common/sys/lvm/mhdx.x | \
-	nawk '{sub(/uts\/common\/sys\/lvm/, "head") ; print $$0}' >$@
+	/usr/xpg4/bin/awk '{sub(/uts\/common\/sys\/lvm/, "head") ; print $$0}' >$@
--- old/usr/src/cmd/lvm/rpc.metamhd/sparc/Makefile	2013-05-27 09:45:11.345161046 +0000
+++ new/usr/src/cmd/lvm/rpc.metamhd/sparc/Makefile	2013-05-27 09:45:11.360082462 +0000
@@ -23,8 +23,6 @@
 # Copyright 1996, 2001-2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 # Makefile for logical volume management 
 #
 
@@ -125,4 +123,4 @@
 
 mhdx_xdr.c: $(SRC)/uts/common/sys/lvm/mhdx.x
 	$(RPCGEN) $(RPCGENFLAGS) -c $(SRC)/uts/common/sys/lvm/mhdx.x | \
-	nawk '{sub(/uts\/common\/sys\/lvm/, "head") ; print $$0}' >$@
+	/usr/xpg4/bin/awk '{sub(/uts\/common\/sys\/lvm/, "head") ; print $$0}' >$@
--- old/usr/src/cmd/lvm/util/svc-metasync	2013-05-27 09:45:11.732426609 +0000
+++ new/usr/src/cmd/lvm/util/svc-metasync	2013-05-27 09:45:11.743821328 +0000
@@ -23,8 +23,6 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 # Start mirror resync threads.
 
 DEVFSADM=/usr/sbin/devfsadm
@@ -57,7 +55,7 @@
 		# into the TMPFILE
 		name_str=`gettext "Set name"`
 		mn_str=`gettext "Multi-owner"` 
-		$METASET | /bin/nawk -F ' |\t|,' -v snm="$name_str" \
+		$METASET | /usr/xpg4/bin/awk -F ' |\t|,' -v snm="$name_str" \
 		    -v mstr="$mn_str" '$0 ~ snm { \
 		    if (index($0, mstr) == 0) print $4 \
 		}' > $TMPFILE 2>&1
--- old/usr/src/cmd/mdb/tools/scripts/hdr2map.sh	2013-05-27 09:45:12.059685521 +0000
+++ new/usr/src/cmd/mdb/tools/scripts/hdr2map.sh	2013-05-27 09:45:12.068316520 +0000
@@ -23,8 +23,6 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
 
 #
 # Given a header file, extract function prototypes and global variable
@@ -112,7 +110,7 @@
 	typeset header="$1"
 	typeset prefix="$2"
 
-	nawk -v prefix="$prefix" <$header '
+	/usr/xpg4/bin/awk -v prefix="$prefix" <$header '
 		/^.*MAPFILE: export \"[^\"]*\"$/ {
 			if (protoexclude) {
 				print "ERROR: export after exclude\n";
@@ -194,7 +192,7 @@
 	typeset skel="$1"
 	typeset secname="$2"
 
-	nawk <$skel -v name=$secname -v skel=$skel '
+	/usr/xpg4/bin/awk <$skel -v name=$secname -v skel=$skel '
 	    /\/\* [^ ]* [^ ]* \*\// && $3 == name {
 		if ($2 == "BEGIN") {
 			printing = 1;
--- old/usr/src/cmd/mdb/tools/scripts/map2linktest.sh	2013-05-27 09:45:12.428102449 +0000
+++ new/usr/src/cmd/mdb/tools/scripts/map2linktest.sh	2013-05-27 09:45:12.441970477 +0000
@@ -23,8 +23,6 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
 
 #
 # Create dummy functions for each of the functions in the module API.  We can
@@ -33,7 +31,7 @@
 # If the module uses functions outside of the module API, then it cannot be
 # used as a kmdb module.
 #
-nawk '
+/usr/xpg4/bin/awk '
 	/^[ 	]*global:[ 	]*$/ {
 		printing = 1;
 		next;
--- old/usr/src/cmd/mdb/tools/scripts/tigen.sh	2013-05-27 09:45:12.786358694 +0000
+++ new/usr/src/cmd/mdb/tools/scripts/tigen.sh	2013-05-27 09:45:12.799842943 +0000
@@ -54,7 +54,7 @@
 	typeset skel="$1"
 	typeset secname="$2"
 
-	nawk <$skel -v name=$secname -v skel=$skel '
+	/usr/xpg4/bin/awk <$skel -v name=$secname -v skel=$skel '
 	    /\/\* [^ ]* [^ ]* \*\// && $3 == name {
 		if ($2 == "BEGIN") {
 			printing = 1;
--- old/usr/src/cmd/print/scripts/conv_lpd	2013-05-27 09:45:13.116758439 +0000
+++ new/usr/src/cmd/print/scripts/conv_lpd	2013-05-27 09:45:13.132472008 +0000
@@ -24,8 +24,6 @@
 # Copyright (c) 1994, 1995, 1996 by Sun Microsystems, Inc.
 # All Rights Reserved
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 #  Printcap <-> Printers.conf conversion utility...
 #
 #	Usage: conv_lpd [ -c (printers|printcap) ] [ -n ] (file)
@@ -103,7 +101,7 @@
 # Empty colons ":[ <TAB>]*:" are now stripped.  Continue processing.
 #
 
-nawk '
+/usr/xpg4/bin/awk '
 BEGIN {
 	"uname -n" | getline ; 
 	host = $0 ;
--- old/usr/src/cmd/print/scripts/getmakes	2013-05-27 09:45:13.444889557 +0000
+++ new/usr/src/cmd/print/scripts/getmakes	2013-05-27 09:45:13.454618402 +0000
@@ -22,8 +22,6 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 
 #
 # get a list of the Manufacturers from the ppdcache
@@ -31,7 +29,7 @@
 
 [[ -f /var/lp/ppd/ppdcache ]] || exit 1
 /bin/cat /var/lp/ppd/ppdcache |
-    nawk '{FS=":"; print $1}' |
-    nawk '{print $1}' |
+    /usr/xpg4/bin/awk '{FS=":"; print $1}' |
+    /usr/xpg4/bin/awk '{print $1}' |
     /bin/sort -u
 exit 0
--- old/usr/src/cmd/print/scripts/getmodels	2013-05-27 09:45:13.755093390 +0000
+++ new/usr/src/cmd/print/scripts/getmodels	2013-05-27 09:45:13.764704179 +0000
@@ -22,8 +22,6 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 
 #
 # get a list of the Models for this Model from the ppdcache
@@ -41,5 +39,5 @@
 
 cachefile=/var/lp/ppd/ppdcache
 [[ -f $cachefile ]] || exit 1
-/bin/grep "^$1" $cachefile | nawk '{FS=":"; print $2}' | uniq 
+/bin/grep "^$1" $cachefile | /usr/xpg4/bin/awk '{FS=":"; print $2}' | uniq 
 exit 0
--- old/usr/src/cmd/print/scripts/getppdfile	2013-05-27 09:45:14.083282615 +0000
+++ new/usr/src/cmd/print/scripts/getppdfile	2013-05-27 09:45:14.093731576 +0000
@@ -22,8 +22,6 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 
 #
 # Get the path/ppdfilename for this ppd NickName
@@ -62,13 +60,13 @@
 fi
 
 [[ -f /var/lp/ppd/ppdcache ]] || exit 1
-make=$(echo $* | /usr/bin/nawk '{FS=":"; print $1}')
+make=$(echo $* | /usr/xpg4/bin/awk '{FS=":"; print $1}')
 # strip leading blanks
-model=$(echo $* | /usr/bin/nawk '{FS=":"; print $2}' |
+model=$(echo $* | /usr/xpg4/bin/awk '{FS=":"; print $2}' |
     /bin/sed -e 's/^[ ]*//')
-extppdlabel=$(echo $* | /usr/bin/nawk '{FS=":"; print $3}' |
+extppdlabel=$(echo $* | /usr/xpg4/bin/awk '{FS=":"; print $3}' |
     /bin/sed -e 's/^[ ]*//')
-ppd=$(echo $* | /usr/bin/nawk '{FS=":"; print $4}' |
+ppd=$(echo $* | /usr/xpg4/bin/awk '{FS=":"; print $4}' |
     /bin/sed -e 's/^[ ]*//')
 
 #
@@ -83,6 +81,6 @@
     /bin/grep "${model}:" |
     /bin/grep "${ppd}:"  |
     /bin/grep "$(rep_path ${extppdlabel})/${extppdlabel%\(*}" |
-    /usr/bin/nawk '{FS=":"; print $6}' 
+    /usr/xpg4/bin/awk '{FS=":"; print $6}' 
 
 exit 0
--- old/usr/src/cmd/print/scripts/ppdfilename2mmp	2013-05-27 09:45:14.419328871 +0000
+++ new/usr/src/cmd/print/scripts/ppdfilename2mmp	2013-05-27 09:45:14.432590988 +0000
@@ -22,8 +22,6 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 
 #
 # Get the make/model/nickname as well as the repository/label from ppdfilename
@@ -57,14 +55,14 @@
 # Use only the first word in manufacturer entry
 #
 manuf=$(echo "$cacheentry" | 
-nawk '{FS=":"; print $1}' |
-nawk '{print $1}')
+/usr/xpg4/bin/awk '{FS=":"; print $1}' |
+/usr/xpg4/bin/awk '{print $1}')
 
 # Retrieve the model
-model=$(echo "$cacheentry" | nawk '{FS=":"; print $2}')
+model=$(echo "$cacheentry" | /usr/xpg4/bin/awk '{FS=":"; print $2}')
 
 # Retrieve the driver
-driver=$(echo "$cacheentry" | nawk '{FS=":"; print $3}')
+driver=$(echo "$cacheentry" | /usr/xpg4/bin/awk '{FS=":"; print $3}')
 
 #
 # Retrieve the PPD path.  Parse the PPD path to get the
@@ -74,7 +72,7 @@
 # in the cache entry.  This is may need to be modified if the
 # format changes.
 #
-ppdpath=$(echo "$cacheentry" | /bin/nawk '{FS=":"; print $6}' )
+ppdpath=$(echo "$cacheentry" | /usr/xpg4/bin/awk '{FS=":"; print $6}' )
 manupath=$(/bin/dirname "$ppdpath")
 labelpath=$(/bin/dirname "$manupath")
 
--- old/usr/src/cmd/sendmail/cf/sh/check-permissions.sh	2013-05-27 09:45:14.706655798 +0000
+++ new/usr/src/cmd/sendmail/cf/sh/check-permissions.sh	2013-05-27 09:45:14.715578866 +0000
@@ -30,7 +30,6 @@
 # Use is subject to license terms.
 #
 # %W% (Sun) %G%
-# ident	"%Z%%M%	%I%	%E% SMI"
 
 PATH=/bin
 
@@ -103,14 +102,14 @@
 # user.  O/w, do it for all arguments.
 
 if [ $# -eq 0 ] ; then
-	arg=`id | nawk -F'(' '{n = split($2,id,")"); print id[1]}'`
+	arg=`id | /usr/xpg4/bin/awk -F'(' '{n = split($2,id,")"); print id[1]}'`
 elif [ $1 = "ALL" ] ; then
 	arg=""
 else
 	arg="$*"
 fi
 
-for i in `getent passwd $arg | nawk -F: '{print $6}'`
+for i in `getent passwd $arg | /usr/xpg4/bin/awk -F: '{print $6}'`
 do
 	if [ -f $i/.forward ] ; then
 		break_down $i/.forward
--- old/usr/src/cmd/sendmail/lib/smtp-sendmail	2013-05-27 09:45:15.810046318 +0000
+++ new/usr/src/cmd/sendmail/lib/smtp-sendmail	2013-05-27 09:45:15.836716049 +0000
@@ -96,7 +96,7 @@
 		/usr/sbin/etrn -b $SERVER $CLIENTS >/dev/null 2>&1 &
 	done
 
-	if /usr/bin/nawk 'BEGIN{s = 1}
+	if /usr/xpg4/bin/awk 'BEGIN{s = 1}
 	    $2 == "/var/mail" && $3 == "nfs" && $4 !~ /actimeo=0/ &&
 	    $4 !~ /noac/{s = 0} END{exit s}' /etc/mnttab; then
 
--- old/usr/src/cmd/sgs/packages/Makefile.targ	2013-05-27 09:45:16.197842569 +0000
+++ new/usr/src/cmd/sgs/packages/Makefile.targ	2013-05-27 09:45:16.208831869 +0000
@@ -22,7 +22,7 @@
 # Use is subject to license terms.
 
 pkginfo: ../common/pkginfo.tmpl awk_pkginfo
-	$(RM) $@; nawk -f awk_pkginfo ../common/$@.tmpl > $@
+	$(RM) $@; /usr/xpg4/bin/awk -f awk_pkginfo ../common/$@.tmpl > $@
 
 pkg: FRC
 	@ $(RM) -r $(PACKAGE)
--- old/usr/src/cmd/sgs/tools/chkmsg.sh	2013-05-27 09:45:16.553351259 +0000
+++ new/usr/src/cmd/sgs/tools/chkmsg.sh	2013-05-27 09:45:16.561995223 +0000
@@ -24,7 +24,6 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
 
 TOOLDIR="${SRC}/cmd/sgs/tools/"
 
@@ -37,7 +36,7 @@
 while getopts "m:" Arg
 do
 	case $Arg in
-	m)	nawk -f ${TOOLDIR}/catalog.awk $OPTARG ;;
+	m)	/usr/xpg4/bin/awk -f ${TOOLDIR}/catalog.awk $OPTARG ;;
 	\?)	echo "usage: chkmsg -m msgfile source-files" ; exit 1 ;;
 	esac
 done
@@ -64,7 +63,7 @@
 #
 # Generate the lists for the source files and sort them
 #
-nawk -f  ${TOOLDIR}/getmessage.awk	$*
+/usr/xpg4/bin/awk -f  ${TOOLDIR}/getmessage.awk	$*
 
 if [ -s MSG_INTL_LIST ] ; then
 	sed -e "s/_32$//" -e "s/_64$//" MSG_INTL_LIST | sort | uniq > _TMP
--- old/usr/src/cmd/svc/milestone/fs-local	2013-05-27 09:45:16.864558026 +0000
+++ new/usr/src/cmd/svc/milestone/fs-local	2013-05-27 09:45:16.874323585 +0000
@@ -53,19 +53,19 @@
 #
 
 # vlist is the non-global filesystems in vfstab requesting quotas
-vlist=`/usr/bin/nawk '$1 !~ /^(#|-)/ && $4 == "ufs" {
+vlist=`/usr/xpg4/bin/awk '$1 !~ /^(#|-)/ && $4 == "ufs" {
 	if (match($7, "(^|,)(quota|rq)(,|$)") != 0 &&
 	    match($7, "(^|,)global(,|$)") == 0) print $1; }' /etc/vfstab`
 
 if [ -n "$vlist" ]; then
 	# mlist is the filesystems in mnttab that are ufs, mounted rw,
 	# and without quotas turned on
-	mlist=`/usr/sbin/mount -p | /usr/bin/nawk '$4 == "ufs" {
+	mlist=`/usr/sbin/mount -p | /usr/xpg4/bin/awk '$4 == "ufs" {
 		if (match($7, "(^|,)ro(,|$)") == 0) print $1; }'`
 
 	# qlist is the intersection of vlist and mlist
 	qlist=`echo "$vlist\n-\n$mlist" | \
-		/usr/bin/nawk '{if ($1 == "-") { mlist = 1; }
+		/usr/xpg4/bin/awk '{if ($1 == "-") { mlist = 1; }
 			else if (mlist == 0) { vlist[$1] = 1; }
 			else if (vlist[$1]) { print $1; } }'`
 
--- old/usr/src/cmd/svc/milestone/fs-usr	2013-05-27 09:45:17.243973292 +0000
+++ new/usr/src/cmd/svc/milestone/fs-usr	2013-05-27 09:45:17.264720655 +0000
@@ -180,7 +180,7 @@
 			exit $SMF_EXIT_OK
 		fi
 		boot_prop=`/usr/sbin/svccfg -s svc:/system/boot-config:default listprop config/auto-reboot-safe | \
-			/usr/bin/nawk '{ print $3}'`
+			/usr/xpg4/bin/awk '{ print $3}'`
 		if [ "$boot_prop" != "true" ]; then 
 			cecho ""
 			cecho "WARNING: Reboot required."
--- old/usr/src/cmd/svc/milestone/net-loc	2013-05-27 09:45:17.638851324 +0000
+++ new/usr/src/cmd/svc/milestone/net-loc	2013-05-27 09:45:17.651185814 +0000
@@ -46,7 +46,7 @@
 LDAPCLIENT=/usr/sbin/ldapclient
 MKDIR=/usr/bin/mkdir
 MV=/usr/bin/mv
-NAWK=/usr/bin/nawk
+AWK=/usr/xpg4/bin/awk
 NWAMADM=/usr/sbin/nwamadm
 NWAMCFG=/usr/sbin/nwamcfg
 RM=/usr/bin/rm
@@ -75,7 +75,7 @@
 	#    or INFORMATION state
 	# 2. make a space-separated list of interface names
 	#
-	netstat -D -f inet | $NAWK '
+	netstat -D -f inet | $AWK '
 	    $2 ~ /BOUND/ { printf "%s ", $1 }
 	    $2 ~ /INFORMATION/ { printf "%s ", $1 }'
 }
@@ -215,18 +215,18 @@
 
 		# Write DNS settings
 		if [ -n "$DNS_DOMAIN" ]; then
-			echo "$DNS_DOMAIN" | $NAWK \
+			echo "$DNS_DOMAIN" | $AWK \
 			    '{ for (i = 1; i <= NF; i++) \
 			    print "domain ", $i }' >> $file.$$
 		fi
 		if [ -n "$DNS_SEARCH" ]; then
-			echo "$DNS_SEARCH" | $NAWK \
+			echo "$DNS_SEARCH" | $AWK \
                             '{ printf("search"); \
 			    for (i = 1; i <= NF; i++) printf(" %s", $i); \
 			    printf("\n") }' >> $file.$$
 		fi
 		if [ -n "$DNS_SERVERS" ]; then
-			echo "$DNS_SERVERS" | $NAWK \
+			echo "$DNS_SERVERS" | $AWK \
 			    '{ for (i = 1; i <= NF; i++) \
 			    print "nameserver ", $i }' >> $file.$$
 		fi
@@ -273,7 +273,7 @@
 		'dhcp')
 			# Use only the first name
 			DEFAULT_DOMAIN=`get_dhcpinfo NISdmain | \
-			    $NAWK '{ print $1 }'`
+			    $AWK '{ print $1 }'`
 			NIS_SERVERS=`get_dhcpinfo NISservs`
 			$DOMAINNAME $DEFAULT_DOMAIN
 			$DOMAINNAME > $ETC_DEFAULT_DOMAIN
@@ -288,7 +288,7 @@
 			$MKDIR -p $NIS_BIND_PATH/$DEFAULT_DOMAIN
 		fi
 		if [ -n "$NIS_SERVERS" ]; then
-			echo "$NIS_SERVERS" | $NAWK \
+			echo "$NIS_SERVERS" | $AWK \
 			    '{ for (i = 1; i <= NF; i++) print $i }' \
 			    > $NIS_BIND_PATH/$DEFAULT_DOMAIN/ypservers
 		fi
--- old/usr/src/cmd/svc/milestone/net-nwam	2013-05-27 09:45:18.087149152 +0000
+++ new/usr/src/cmd/svc/milestone/net-nwam	2013-05-27 09:45:18.097276079 +0000
@@ -57,7 +57,7 @@
 LDAPCLIENT=/usr/sbin/ldapclient
 MKDIR=/usr/bin/mkdir
 MKFIFO=/usr/bin/mkfifo
-NAWK=/usr/bin/nawk
+AWK=/usr/xpg4/bin/awk
 NWAMCFG=/usr/sbin/nwamcfg
 RM=/usr/bin/rm
 SVCADM=/usr/sbin/svcadm
@@ -174,11 +174,11 @@
 			DNS_NAMESERVICE_CONFIGSRC="dhcp"
 		else
 			DNS_NAMESERVICE_CONFIGSRC="manual"
-			DNS_NAMESERVICE_DOMAIN=`$NAWK '$1 == "domain" {\
+			DNS_NAMESERVICE_DOMAIN=`$AWK '$1 == "domain" {\
 			    print $2 }' < /etc/resolv.conf`
-			DNS_NAMESERVICE_SERVERS=`$NAWK '$1 == "nameserver" \
+			DNS_NAMESERVICE_SERVERS=`$AWK '$1 == "nameserver" \
 			    { printf "%s,", $2 }' < /etc/resolv.conf`
-			DNS_NAMESERVICE_SEARCH=`$NAWK '$1 == "search" \
+			DNS_NAMESERVICE_SEARCH=`$AWK '$1 == "search" \
 			    { printf "%s,", $2 }' < /etc/resolv.conf`
 			copy_to_legacy_loc /etc/resolv.conf
 		fi
@@ -190,14 +190,14 @@
 		NIS_NAMESERVICE_CONFIGSRC="manual"
 		DEFAULT_DOMAIN=`$CAT /etc/defaultdomain`
 
-		yp_servers=`$NAWK '{ printf "%s ", $1 }' \
+		yp_servers=`$AWK '{ printf "%s ", $1 }' \
 		    < $NIS_BIND_PATH/$DEFAULT_DOMAIN/ypservers`
 		for serv in $yp_servers; do
 			if is_valid_addr $serv; then
 				addr="$serv,"
 			else
 				addr=`$GREP -iw $serv /etc/inet/hosts | \
-				    $NAWK '{ printf "%s,", $1 }'`
+				    $AWK '{ printf "%s,", $1 }'`
 			fi
 			NIS_NAMESERVICE_SERVERS="${NIS_NAMESERVICE_SERVERS}$addr"
 		done
@@ -209,7 +209,7 @@
 		NAMESERVICES="${NAMESERVICES}ldap,"
 		LDAP_NAMESERVICE_CONFIGSRC="manual"
 		LDAP_NAMESERVICE_SERVERS=`$LDAPCLIENT list 2>/dev/null | \
-		    $NAWK '$1 == "preferredServerList:" { print $2 }'`
+		    $AWK '$1 == "preferredServerList:" { print $2 }'`
 		DEFAULT_DOMAIN=`$CAT /etc/defaultdomain`
 	fi
 
@@ -365,7 +365,7 @@
 			$MKDIR -p $NIS_BIND_PATH/$DEFAULT_DOMAIN
 		fi
 		if [ -n "$NIS_SERVERS" ]; then
-			echo "$NIS_SERVERS" | $NAWK \
+			echo "$NIS_SERVERS" | $AWK \
 			    'FS="," { for (i = 1; i <= NF; i++) print $i }' \
 			    > $NIS_BIND_PATH/$DEFAULT_DOMAIN/ypservers
 		fi
@@ -421,7 +421,7 @@
 		# change /none, /allow, and /deny to firewall policy
 		if [ "$ipf_file" = "/none" -o "$ipf_file" = "/allow" \
 		    -o "$ipf_file" = "/deny" ]; then
-			policy=`echo "$ipf_file" | $NAWK 'FS="/" { print $2 }'`
+			policy=`echo "$ipf_file" | $AWK 'FS="/" { print $2 }'`
 			set_smf_prop $IPFILTER_FMRI \
 			    firewall_config_default/policy $policy
 			# no need to clear custom_policy_file as it isn't "custom"
--- old/usr/src/cmd/svc/milestone/net-routing-setup	2013-05-27 09:45:18.500339545 +0000
+++ new/usr/src/cmd/svc/milestone/net-routing-setup	2013-05-27 09:45:18.514820797 +0000
@@ -53,7 +53,7 @@
 # routing daemons (or at least they are enabled to run).
 #
 dynamic_routing_test=`/sbin/routeadm -p | \
-nawk '/^ipv[46]-routing [.]*/ { print $2 }'  | /usr/bin/grep "current=enabled"`
+/usr/xpg4/bin/awk '/^ipv[46]-routing [.]*/ { print $2 }'  | /usr/bin/grep "current=enabled"`
 if [ -n "$dynamic_routing_test" ]; then
 	dynamic_routing="true"
 fi
